=== debian/changelog ===
kdepim-runtime (4:22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:32:52 +0100

kdepim-runtime (4:22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:27:12 +0100

kdepim-runtime (4:22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:35:43 +0100

kdepim-runtime (4:22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Update patches.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:05:11 +0100

kdepim-runtime (4:22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:55:01 +0100

kdepim-runtime (4:22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:12:23 +0200

kdepim-runtime (4:22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:09:36 +0200

kdepim-runtime (4:22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Bump Standards-Version to 4.6.1 (No changes needed).
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.
  * Update patches.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:46:30 +0200

kdepim-runtime (4:22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).
  * Update build-deps and deps with the info from cmake.
  * Remove arch-restriction for libkpimgapi-dev B-D.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:57:58 +0200

kdepim-runtime (4:22.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:02:14 +0200

kdepim-runtime (4:22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:47:33 +0200

kdepim-runtime (4:22.04.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Remove unused libkf5pimcommon-dev B-D.

 -- Patrick Franz <deltaone@debian.org>  Sat, 28 May 2022 00:54:40 +0200

kdepim-runtime (4:22.04.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.
  * Remove dependency to kalarm as it is not used anymore.
  * Remove make_qtwebengine_optional.patch as it is not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Thu, 26 May 2022 16:13:36 +0200

kdepim-runtime (4:21.12.3-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Apr 2022 22:11:00 +0200

kdepim-runtime (4:21.12.3-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix patches.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Mar 2022 16:42:26 +0100

kdepim-runtime (4:21.12.3-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix patches.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Mar 2022 09:28:46 +0100

kdepim-runtime (4:21.12.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (21.12.3).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Refresh patches.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Mar 2022 23:28:23 +0100

kdepim-runtime (4:21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Sat, 11 Sep 2021 07:21:04 +0900

kdepim-runtime (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).
  * Update patches.

 -- Norbert Preining <norbert@preining.info>  Tue, 17 Aug 2021 12:44:15 +0900

kdepim-runtime (4:21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:34:30 +0900

kdepim-runtime (4:21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:10:11 +0900

kdepim-runtime (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed George Kiagiadakis, Maximiliano Curia, Modestas Vainius from
    the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.
  * Update patches.

 -- Norbert Preining <norbert@preining.info>  Thu, 13 May 2021 09:46:14 +0900
