=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.99.0~),
               gettext,
               libboost-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libgrantlee5-dev (>= 5.2~),
               libkf5akonadi-dev (>= 4:22.12.3~),
               libkf5akonadicalendar-dev (>= 4:22.12.3~),
               libkf5akonadicontact-dev (>= 4:22.12.3~),
               libkf5akonadimime-dev (>= 4:22.12.3~),
               libkf5akonadinotes-dev (>= 4:22.12.3~),
               libkf5calendarcore-dev (>= 5:5.99.0~),
               libkf5calendarutils-dev (>= 4:22.12.3~),
               libkf5codecs-dev (>= 5.99.0~),
               libkf5config-dev (>= 5.99.0~),
               libkf5configwidgets-dev (>= 5.99.0~),
               libkf5contacts-dev (>= 5:5.99.0~),
               libkf5dav-dev (>= 1:5.99.0~),
               libkf5doctools-dev (>= 5.99.0~),
               libkf5holidays-dev (>= 1:5.99.0~),
               libkf5identitymanagement-dev (>= 22.12.3~),
               libkf5imap-dev (>= 22.12.3~),
               libkf5itemmodels-dev (>= 5.99.0~),
               libkf5kcmutils-dev (>= 5.99.0~),
               libkf5kio-dev (>= 5.99.0~),
               libkf5ldap-dev (>= 22.12.3~),
               libkf5libkdepim-dev (>= 4:22.12.3~),
               libkf5mailtransport-dev (>= 22.12.3~),
               libkf5mbox-dev (>= 22.12.3~),
               libkf5mime-dev (>= 22.12.3~),
               libkf5notifications-dev (>= 5.99.0~),
               libkf5notifyconfig-dev (>= 5.99.0~),
               libkf5textwidgets-dev (>= 5.99.0~),
               libkf5windowsystem-dev (>= 5.99.0~),
               libkolabxml-dev (>= 1.1~),
               libkpimgapi-dev (>= 22.12.3~),
               libqca-qt5-2-dev (>= 2.3.0~),
               libqt5networkauth5-dev (>= 5.15.2~),
               libqt5texttospeech5-dev,
               libqt5xmlpatterns5-dev (>= 5.15.2~),
               libsasl2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qt5keychain-dev,
               qtbase5-dev (>= 5.15.2~),
               qtwebengine5-dev (>= 5.15.2~) [amd64 arm64 armhf i386 mips64el mipsel],
               shared-mime-info (>= 1.3~),
               xsltproc,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/kdepim-runtime
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdepim-runtime
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdepim-runtime.git
Rules-Requires-Root: no

Package: kdepim-runtime
Architecture: any
Depends: akonadi-server,
         kio-ldap,
         kmailtransport-akonadi,
         libsasl2-modules,
         libsasl2-modules-kdexoauth2 [amd64 arm64 armhf i386 mips64el mipsel],
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5libkdepim-data (<< 4:20.08~),
        libkf5libkdepim-plugins (<< 4:20.08~),
Replaces: libkf5libkdepim-data (<< 4:20.08~),
          libkf5libkdepim-plugins (<< 4:20.08~),
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.
